[Tool] phpBB 2.0.14 to 2.0.15 Code Changes

All new MODs released in our MOD Database will be announced in here. All support for released MODs needs to take place in here. No new MODs will be accepted into the MOD Database for phpBB2
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

On February 1, 2009 this forum will be set to read only as part of retiring of phpBB2.

Rating:

Excellent!
97
63%
Very Good
15
10%
Good
14
9%
Fair
7
5%
Poor
20
13%
 
Total votes: 153

scrapdiggs
Registered User
Posts: 32
Joined: Thu Apr 29, 2004 5:23 am

Post by scrapdiggs » Mon May 16, 2005 6:02 am

NightriderXP wrote: First, if it isn't already installed, start by installing this:

[beta] EasyMOD v0.1.13 ...

Once you have EM installed and know how to use it, go to the following page:

phpBB Installation & Upgrade Tools.

Download the file for [Tools] phpBB 2.0.6 to phpBB 2.0.7 Code Changes and install it. Make sure that everything is working correctly, then go to the next, [Tools] phpBB 2.0.7 to 2.0.8 Code Changes and so on. Make sure you read the instructions for each and update the Database when told...

EasyMOD maintains a good backup at each step of the way, so if any of these upgrades cause any trouble, you can remove the txt extension from each backup file and overwrite the existing files and your board will be back to normal...

:lol:


Whoa! I was told I could go directly to the latest mod, is that not right?

what is the for sure way to find out what version im running?

NightriderXP
Registered User
Posts: 1418
Joined: Sat Oct 09, 2004 8:17 am
Location: Florida, US
Contact:

Post by NightriderXP » Mon May 16, 2005 6:12 am

You might be able to try to jump directly to 2.0.15 from 2.0.6, but you would be missing all the important changes in between. Each update doesn't include all the previous changes like what you would see in a M$ Service Pack. The update files would get huge and it would become a problem for those who have kept up with each update...

How many MODs are installed on your board? Are we talking a dozen or so, or a lot more than that? If you only have a dozen or so MODs installed on your board, it might be easier to get a good backup of your database, download the full 2.0.15 version, then install it. Then if your database has been erased, you can restore your database backup...

Before about 2.0.13 or so, you could see the current version at the bottom of each page. I have no clue why they removed that. Now, you can see the current version in your ACP...

:lol:

EelcoH
Registered User
Posts: 17
Joined: Thu Mar 24, 2005 2:53 pm
Location: The Netherlands
Contact:

Post by EelcoH » Mon May 16, 2005 6:16 am

Did the update manually, and edited MySQL manually too...

Not a really big problem, but despite making all the changes my ACP still warns me I'm using version 2.0.13 and I should update.

Where can I change the version number so that this warning disappears?

scrapdiggs
Registered User
Posts: 32
Joined: Thu Apr 29, 2004 5:23 am

Post by scrapdiggs » Mon May 16, 2005 6:25 am

NightriderXP wrote: How many MODs are installed on your board? Are we talking a dozen or so, or a lot more than that?



ok so maybe its not that many, ive only got about 5 simple mods and of course my forums skin but other than that its about it.

Should I just backup the whole forum and then just install 2.0.15? If I then reupload the forum backup will it load in all the mods?

Man im lost.

NightriderXP
Registered User
Posts: 1418
Joined: Sat Oct 09, 2004 8:17 am
Location: Florida, US
Contact:

Post by NightriderXP » Mon May 16, 2005 6:46 am

Yes, if you only have about 5 MODs installed, it probably would be easier to start with a fresh install of 2.0.15. Then you can install EM and reinstall your other MODs quickly and painlessly. I would be more than happy to help you get started if you would like. Send me a PM if you are interested...

:lol:

paul7v7
Registered User
Posts: 44
Joined: Mon Nov 15, 2004 9:40 am

Post by paul7v7 » Mon May 16, 2005 8:19 am

Ok I went through this whole topic for some help but still couldn't find concrete solutions to my problem. My problem is EVERYTHING works bar the

SITE_ALT_TEXT[url] [url]http://site[url] As i said i hav ... .phpbb.com code..
$patterns[] = "#\[url\]([\w]+?://[^ \"\n\r\t<]*?)\[/url\]#is";
$replacements[] = $bbcode_tpl['url1'];

// www.phpbb.com code.. (no xxxx:// prefix).
$patterns[] = "#\[url\]((www|ftp)\.[^ \"\n\r\t<]*?)\[/url\]#is";
$replacements[] = $bbcode_tpl['url2'];

// phpBB code.. (no xxxx:// prefix).
$patterns[] = "#\+?://[^ \"\n\r\t<]*?)\]([^?].*?)\[/url\]#i";
$replacements[] = $bbcode_tpl['url3'];

// [url=www.phpbb.com]phpBB
code.. (no xxxx:// prefix).
$patterns[] = "#\[url=((www|ftp)\.[^ \"\n\r\t<]*?)\]([^?].*?)\[/url\]#i";
$replacements[] = $bbcode_tpl['url4'];

// user@domain.tld code..
$patterns[] = "#\[email\]([a-z0-9&\-_.]+?@[\w\-]+\.([\w\-\.]+\.)?[\w]+)\[/email\]#si";
$replacements[] = $bbcode_tpl['email'];
[/code]


Any help would be much appreciated. I can post the whole bbcode if needed.

Thanks.

mikymoon
Registered User
Posts: 27
Joined: Mon Mar 29, 2004 6:36 am

Post by mikymoon » Mon May 16, 2005 10:59 am

I just update with easy mod and now It apear this error¡¡¡¡
Easymod did not show any errors...
Lang Spanish

phpBB : Critical Error

Error creating new session

DEBUG MODE

SQL Error : 1054 Unknown column 'session_admin' in 'field list'

INSERT INTO phpbb_sessions (session_id, session_user_id, session_start, session_time, session_ip, session_page, session_logged_in, session_admin) VALUES ('ba2cbbca6653c3648676a299cb0de21d', -1, 1116240967, 1116240967, '503a292d', 0, 0, 0)

Line : 177
File : sessions.php

NightriderXP
Registered User
Posts: 1418
Joined: Sat Oct 09, 2004 8:17 am
Location: Florida, US
Contact:

Post by NightriderXP » Mon May 16, 2005 11:22 am

You forgot to apply the Database changes using the update_to_latest.php file. The column that the query is looking for hasn't been added to the Sessions table so it is telling you that it doesn't know what to do...

Upload the entire install folder, including the contents, to the phpBB root, then enter the path to the db update file into your browser and run it. It will look something like this:

http://www.yoursite.com/phpBB2/install/ ... latest.php

Everything should work much better after you have deleted the install folder...

:lol:

BlueRook
Registered User
Posts: 2892
Joined: Wed Mar 10, 2004 2:38 am

Post by BlueRook » Mon May 16, 2005 1:32 pm

paul7v7 wrote: SITE_ALT_TEXT[url] [url]http://site[url] [/quote] The f ... .phpbb.com code..
$patterns[] = "#\[url\]([\w]+?://[^ \"\n\r\t<]*?)\[/url\]#is";
$replacements[] = $bbcode_tpl['url1'];

// www.phpbb.com code.. (no xxxx:// prefix).
$patterns[] = "#\[url\]((www|ftp)\.[^ \"\n\r\t<]*?)\[/url\]#is";
$replacements[] = $bbcode_tpl['url2'];

// [url=xxxx://www.phpbb.com]phpBB[/url] code..
$patterns[] = "#\+?://[^ \"\n\r\t<]*?)\]([^?].*?)\[/url\]#i";
$replacements[] = $bbcode_tpl['url3'];

// [url=www.phpbb.com]phpBB
code.. (no xxxx:// prefix).
$patterns[] = "#\[url=((www|ftp)\.[^ \"\n\r\t<]*?)\]([^?].*?)\[/url\]#i";
$replacements[] = $bbcode_tpl['url4'];

// user@domain.tld code..
$patterns[] = "#\[email\]([a-z0-9&\-_.]+?@[\w\-]+\.([\w\-\.]+\.)?[\w]+)\[/email\]#si";
$replacements[] = $bbcode_tpl['email'];[/code]

You are missing the $replacements[] = $bbcode_tpl['img']; line.

User avatar
sw2000
Registered User
Posts: 213
Joined: Fri Oct 24, 2003 3:11 pm
Contact:

Post by sw2000 » Mon May 16, 2005 3:14 pm

paul7v7 wrote: Previous to 2.0.15 i never had any issues.
The [img] works fine and i have the limit image width mod installed


You should also check, if you have the limit image width-mod fix applied correctly.
Here's the fix:
http://www.phpbb.com/phpBB/viewtopic.ph ... &start=585

Admin @ Talo

paul7v7
Registered User
Posts: 44
Joined: Mon Nov 15, 2004 9:40 am

Post by paul7v7 » Mon May 16, 2005 6:45 pm

sw2000 wrote:
paul7v7 wrote:
Previous to 2.0.15 i never had any issues.
The [img] works fine and i have the limit image width mod installed


You should also check, if you have the limit image width-mod fix applied correctly.
Here's the fix:
http://www.phpbb.com/phpBB/viewtopic.ph ... &start=585


Thank you so much. it worked :D

Thank you to everyone else too for the help. Muchly appreciated.

User avatar
ChrisRLG
Former Team Member
Posts: 3420
Joined: Wed Nov 24, 2004 3:18 pm
Location: Essex, UK
Contact:

Post by ChrisRLG » Mon May 16, 2005 10:39 pm

I removed the changes and used the changed files only update - and re MOD'ed what small number of mods I have to those files.

All works now well, except the admin link does not genarate a second loggin. (Nice did not want that anyway).

I think it is the Qbar/Qmenu MOD that is at odds with this update. Because it does change the location and way that adminCP is accessed.

crossfire39
Registered User
Posts: 61
Joined: Thu Jan 27, 2005 1:43 am

Post by crossfire39 » Tue May 17, 2005 2:53 am

I updated this from 14 to 15 using easymod. Everything works, but when I try to access the admin control panel and all it is is a white page. What could be the problem?

haynes8
Registered User
Posts: 113
Joined: Wed Feb 02, 2005 9:30 pm
Location: Not quite sure
Contact:

Post by haynes8 » Tue May 17, 2005 4:00 am

how do I run the install/update_to_latest.php :?: through my web service on my hosting account where I set up the phpbb?

NightriderXP
Registered User
Posts: 1418
Joined: Sat Oct 09, 2004 8:17 am
Location: Florida, US
Contact:

Post by NightriderXP » Tue May 17, 2005 5:58 am

haynes8 wrote: how do I run the install/update_to_latest.php :?: through my web service on my hosting account where I set up the phpbb?

Once you have uploaded the install folder, including the update db file, you would run this command:

http://cyberlyric.com/phpBB2/install/up ... latest.php

:lol:

Post Reply

Return to “[2.0.x] MOD Database Releases”